This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 821779 - nagios-plugins: Gnulib bundled but no bundled(gnulib) provides
nagios-plugins: Gnulib bundled but no bundled(gnulib) provides
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nagios-plugins (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Pedro Oliveira
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 09:56 EDT by Mikolaj Izdebski
Modified: 2012-08-17 11:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 21:53:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-05-15 09:56:24 EDT
A bundled copy of Gnulib - The GNU Portability Library [1] was found in
nagios-5.fc17. No Bundled Libraries section [2] of Packaging guidelines
gives more information on bundled libraries and how they should be handled.

Affected nagios-5.fc17 version: nagios-plugins-1.4.15-5.fc17

As a kind of copylib, Gnulib has been granted an exception. However, to comply
with Packaging guidelines, packages bundling Gnulib must note that the library
has been granted an exception in the spec file comment with a link to the FPC
ticket where the exception was granted and add a virtual provide to the spec
file to note that Gnulib is bundled. Refer to [2] for more details.

No comment about bundling Gnulib and no virtual provide were found in the
nagios-5.fc17.spec file. To comply with the packaging guideliness please
add an appropriate comment to the spec file as well as a virtual provide.

Source tarball where bundled Gnulib was found:
    nagios-plugins-1.4.15.tar.gz

At least the following files look like Gnulib files:
    ./nagios-plugins-1.4.15/gl/m4/00gnulib.m4
    ./nagios-plugins-1.4.15/po/Makefile.in.in
    ./nagios-plugins-1.4.15/gl/Makefile.in
    ./nagios-plugins-1.4.15/gl/Makefile.am
    ./nagios-plugins-1.4.15/gl/m4/gnulib-comp.m4

There are most likely more Gnulib files bundled in the SRPM. I didn't bother
to list them all as it shouldn't be necessary.


[1] http://www.gnu.org/software/gnulib/
[2] http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
Comment 1 Jose Pedro Oliveira 2012-07-09 06:46:55 EDT
Note: I'm assuming the references to "nagios-5.fc17" are in reality references to "nagios-plugins-1.4.15-5.fc17" (as nagios and nagios-plugins are two diferent packages).
Comment 2 Mikolaj Izdebski 2012-07-09 07:04:42 EDT
(In reply to comment #1)
> Note: I'm assuming the references to "nagios-5.fc17" are in reality
> references to "nagios-plugins-1.4.15-5.fc17" (as nagios and nagios-plugins
> are two diferent packages).

That's correct.
Comment 3 Jose Pedro Oliveira 2012-07-09 07:27:42 EDT
According to the Nagios Plugins changelog [1], the last update to the gnulib files was done on 2010-07-02 and it was based on an upstream commit that become gnulib-20100704-stable [2].


References:
[1] - Nagios plugins ChangeLog
      https://github.com/nagios-plugins/nagios-plugins/blob/master/ChangeLog

      ----------
      2010-07-02 Thomas Guyot-Sionnest <dermoth@aei.ca>

      * gl/Makefile.am, gl/m4/gnulib-cache.m4: Import the environ module
        from gnulib (86ba51)
      ----------

[2] - Gnulib stable snapshot
      http://erislabs.net/ianb/projects/gnulib/NEWS.stable

      ----------
        * 20100704-stable
      
      Snapshot taken based on:
      
      commit 86ba51d2c17219b82b977da0a912e05a3d9bf858
      Date:   Sun Jun 20 13:31:40 2010 +0200
      
      with the following additional commits:
      
          * [d0ed135]->[8626eaa] autoupdates
          * [386abcb]->[a155c56] autoupdate
          * [599af40]->[170554f] unitypes: Fix bug introduced on 2010-05-18.
          * [7740412]->[331fd48] string: Fix syntax error with g++ 2.96.
          * [5616180]->[ce5a4ac] idpriv-drop: Fix tests.
          * [6e9c624]->[cbec1d8] gettext: Use AC_GNU_SOURCE as a fallback for \
                                 AC_USE_SYSTEM_EXTENSIONS.
          * [7773f84]->[a01b938] stdbool: Update doc.
      ----------
Comment 4 Jose Pedro Oliveira 2012-07-09 10:32:58 EDT
nagios-plugins-1.4.16-2.fc18 has been pushed for rawhide with the following specfile changes:

----------
# nagios-plugins-1.4.16: the included gnulib files were last updated
# in June/July 2010
# Bundled gnulib exception (https://fedorahosted.org/fpc/ticket/174)
Provides: bundled(gnulib)
---------

Builds for F16, F17 and EPEL will follow in a couple of days.

/jpo
Comment 5 Fedora Update System 2012-07-10 18:48:27 EDT
nagios-plugins-1.4.16-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/nagios-plugins-1.4.16-2.fc17
Comment 6 Fedora Update System 2012-07-10 18:49:08 EDT
nagios-plugins-1.4.16-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nagios-plugins-1.4.16-2.fc16
Comment 7 Fedora Update System 2012-07-11 19:49:43 EDT
Package nagios-plugins-1.4.16-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nagios-plugins-1.4.16-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10510/nagios-plugins-1.4.16-2.fc16
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-07-19 20:30:22 EDT
nagios-plugins-1.4.16-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nagios-plugins-1.4.16-2.el6
Comment 9 Fedora Update System 2012-07-19 21:53:15 EDT
nagios-plugins-1.4.16-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-07-19 21:59:02 EDT
nagios-plugins-1.4.16-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-08-17 11:31:57 EDT
nagios-plugins-1.4.16-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nagios-plugins-1.4.16-5.el6

Note You need to log in before you can comment on or make changes to this bug.